Đến nội dung


Hình ảnh

Test NoCAD - Ứng dụng triển khai bản vẽ Xây Dựng


  • Please log in to reply
80 replies to this topic

#41 huynhpro

huynhpro

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 15 August 2008 - 08:44 AM

Ý của em là cái dim kia cơ. Khi chuyển từ "+" qua ";" thì không thấy ghi nữa. Em đặt bên này là 2f16 + 2f16 bên kia cũng y như thế sao vẫn thấy leo xuống nhỉ. Xóa đi cũng được nhưng hơi mất công!
http://www.cadviet.c...untitled_25.bmp
  • 3

#42 huynhpro

huynhpro

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 15 August 2008 - 08:48 AM

Tiện thể cho em góp ý luôn. Bác có thể đánh số hiệu thép luôn được không. Ví dụ ở phần khai báo thông số ta thêm dòng số hiệu thép vào như hình bên dưới!http://www.cadviet.com/upfiles/untitled_26.bmp
  • 1

#43 Nộ Thiên

Nộ Thiên

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 297 Bài viết
Điểm đánh giá: 133 (tàm tạm)

Đã gửi 15 August 2008 - 10:19 AM

Ý của em là cái dim kia cơ. Khi chuyển từ "+" qua ";" thì không thấy ghi nữa.


- Thấy cái Dim rồi. Cái này CT công đọan ghi dim sai. Đúng ra nó sẽ xem xét tòan bộ các lớp thép ở trên thép tại vị trí gối và nhịp nếu giống nhau thì sẽ kg ghi dim, nếu khác thì ghi dim. Nhưng CT chỉ nó chỉ xét ở lớp thứ nhất thôi vì vậy nó kg ghi dim. Để sửa lại. Tương tự các lớp thép ở dưới nó cũng bị như vậy. Cái này mình kg gặp là vì ít khi mình phải đặt thép theo kiểu "2d16;2d16" vì vậy mình kg phát hiện ra lỗi này. Đặt thép theo kiểu "2d16;2d16" thấy kg lợi thép lắm vì vị trí trọng tâm cốt thép bị dời xuống sâu quá.

Em đặt bên này là 2f16 + 2f16 bên kia cũng y như thế sao vẫn thấy leo xuống nhỉ. Xóa đi cũng được nhưng hơi mất công!
.

Cái này xem lại các khỏang trắng ???
Phải nhập theo kiểu kg có khỏang trắng "2d16+2d16" .
  • 1

#44 Nộ Thiên

Nộ Thiên

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 297 Bài viết
Điểm đánh giá: 133 (tàm tạm)

Đã gửi 15 August 2008 - 10:22 AM

Tiện thể cho em góp ý luôn. Bác có thể đánh số hiệu thép luôn được không. Ví dụ ở phần khai báo thông số ta thêm dòng số hiệu thép vào như hình bên dưới!http://www.cadviet.com/upfiles/untitled_26.bmp

Cái này đang ngcứu để ct đánh tự động luôn. Nhưng vẫn chưa biết là nên đánh theo thứ tự nào??
  • 1

#45 huynhpro

huynhpro

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 15 August 2008 - 11:24 AM

Cái này đang ngcứu để ct đánh tự động luôn. Nhưng vẫn chưa biết là nên đánh theo thứ tự nào??


Theo em thứ tự để đánh thì cứ thanh thép kéo dài bên trên đánh là 1, xong tại các gối thép thêm sẽ đánh là 3,5,7...
Thép dưới sẽ đánh những cây kéo dài là 2 tiếp tục là 4,6,8...
Nếu thép kéo dài chia làm nhiều cây thì đánh là 1a, 1b.. và 2a,2b...
Thế có được không bác?
  • 1

#46 huynhpro

huynhpro

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 15 August 2008 - 11:28 AM

- Thấy cái Dim rồi. Cái này CT công đọan ghi dim sai. Đúng ra nó sẽ xem xét tòan bộ các lớp thép ở trên thép tại vị trí gối và nhịp nếu giống nhau thì sẽ kg ghi dim, nếu khác thì ghi dim. Nhưng CT chỉ nó chỉ xét ở lớp thứ nhất thôi vì vậy nó kg ghi dim. Để sửa lại. Tương tự các lớp thép ở dưới nó cũng bị như vậy. Cái này mình kg gặp là vì ít khi mình phải đặt thép theo kiểu "2d16;2d16" vì vậy mình kg phát hiện ra lỗi này. Đặt thép theo kiểu "2d16;2d16" thấy kg lợi thép lắm vì vị trí trọng tâm cốt thép bị dời xuống sâu quá.


Cái này xem lại các khỏang trắng ???
Phải nhập theo kiểu kg có khỏang trắng "2d16+2d16" .


Không có khoảng cách mới đau chứ. Còn chuyện 2f16;2f16 đương nhiên là không lợi về mặt chịu lực nhưng lại lợi về mặt thi công! Với bề rộng 200 thì đặt 3 thanh cũng được nhưng nếu như bác nói thì phải đặt 2f16 +f20 thi công khó hơn. Chưa biết cái nào lợi hơn!
  • 1

#47 Nộ Thiên

Nộ Thiên

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 297 Bài viết
Điểm đánh giá: 133 (tàm tạm)

Đã gửi 15 August 2008 - 01:28 PM

Không có khoảng cách mới đau chứ.

Mình xài bình thường có gì đâu (kg bẻ xuống gối)
"2d16;2d16" hai bên gối đều như vậy
Hình đã gửi
  • 1

#48 huynhpro

huynhpro

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 15 August 2008 - 03:17 PM

Được rồi anh. Máy ở nhà em cài thì OK rồi. Anh cố giắng đánh số thép với lại vẽ được mặt cắt thì tốt quá. Thống kê nhé! Toàn bộ anh em xây dựng sẽ cảm ơn bác rất nhiều. Bộ này có thể giúp mọi người nhanh 200% thành quả làm việc!
  • 1

#49 0953314080

0953314080

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 29 August 2008 - 12:42 PM

Cho mình hỏi sao mình cài đặt thành công rồi mà cad ko hiện cái toolbar NoCad vậy các bác chỉ giúp. có phải gỡ bỏ cả express ko vậy.HELP ME....
  • 1

#50 Nộ Thiên

Nộ Thiên

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 297 Bài viết
Điểm đánh giá: 133 (tàm tạm)

Đã gửi 29 August 2008 - 12:53 PM

Cho mình hỏi sao mình cài đặt thành công rồi mà cad ko hiện cái toolbar NoCad vậy các bác chỉ giúp. có phải gỡ bỏ cả express ko vậy.HELP ME....

kg cần gỡ express. Kg ảnh hưởng gì đến express.
  • 0

#51 0953314080

0953314080

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 29 August 2008 - 04:51 PM

VẬY SAO MÌNH CÀI ĐẶT THÔNG BÁO LÀ THÀNH CÔNG RỒI MÀ KO THẤY GÌ Ở BẢN VẼ AUTOCARD VẬY.BẠN CÓ MAIL KO ĐỂ MÌNH TIỆN LIÊN LẠC.GIÚP MÌNH VỚI MÌNH ĐANG CẦN CHƯƠNG TRÌNH NÀY QUÁ
  • 0

#52 Nộ Thiên

Nộ Thiên

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 297 Bài viết
Điểm đánh giá: 133 (tàm tạm)

Đã gửi 29 August 2008 - 05:13 PM

VẬY SAO MÌNH CÀI ĐẶT THÔNG BÁO LÀ THÀNH CÔNG RỒI MÀ KO THẤY GÌ Ở BẢN VẼ AUTOCARD VẬY.BẠN CÓ MAIL KO ĐỂ MÌNH TIỆN LIÊN LẠC.GIÚP MÌNH VỚI MÌNH ĐANG CẦN CHƯƠNG TRÌNH NÀY QUÁ

Load thủ công thử xem:
gõ: menuload rồi chọn file c:\NoCAD\nocad.mns
thử xem.
  • 0

#53 phamtuan

phamtuan

    biết lệnh scale

  • Members
  • PipPipPip
  • 145 Bài viết
Điểm đánh giá: 222 (khá)

Đã gửi 29 August 2008 - 05:38 PM

Thanks for shared
  • 0

#54 arch_chien111

arch_chien111

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 02 September 2008 - 08:41 PM

Load thủ công thử xem:
gõ: menuload rồi chọn file c:\NoCAD\nocad.mns
thử xem.

Em thấy trong chương trình của anh có phần uninstall rất hay, làm thế nào để gỡ bỏ menu cùng các đường dẫn trong opition vậy a?Ví dụ e có 2 menu là cadviet1 và cadviet2, cùng đường đãn trong opition là C:\cadviet\dulieu và C:\cadviet\thongke làm thế nào để uninstall chung đây. Mong a giúp đỡ!
  • 0
Children of bodom

#55 Nộ Thiên

Nộ Thiên

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 297 Bài viết
Điểm đánh giá: 133 (tàm tạm)

Đã gửi 03 September 2008 - 12:44 PM

Em thấy trong chương trình của anh có phần uninstall rất hay, làm thế nào để gỡ bỏ menu cùng các đường dẫn trong opition vậy a?Ví dụ e có 2 menu là cadviet1 và cadviet2, cùng đường đãn trong opition là C:\cadviet\dulieu và C:\cadviet\thongke làm thế nào để uninstall chung đây. Mong a giúp đỡ!

Cái này thật ra rất đơn giản xem qua là biết liền:


(defun c:uninsNo ()
(setvar "cmdecho" 0)
(vl-load-com)
(if (findfile "C:\\NoCAD")
(setenv "ACAD" (RemStr ";C:\\NoCAD" (getenv "ACAD")))
(prompt "Khong tim thay thu muc C:\\NoCAD!")
)
(if (menugroup "NoCAD") (command "_menuunload" "NoCAD"))
(setvar "cmdecho" 1)
(alert (strcat "\nUninstall NoCAD done!\n\ndongvietthien@yaho.com.vn"))
(princ)
)


Trong đó có sử dụng 1 hàm được Bác SSG viết sẵn, chỉ việc đem ra xài thôi (cám ơn Bác SSG), đó là (RemStr... ). Và nó đây:

;;;********************************************************************
;;;;;;02- STRING FUNCTIONS
;;;********************************************************************
;;;-------------------------------------------------------------------------------
(defun SepStr(S1 S / i L L1 S0 S2)
;;;Separate S to 3 segments, search by S1, from 1st position. Return list
(setq
i (vl-string-search S1 S)
L (strlen S)
L1 (strlen S1)
S0 (substr S 1 i)
S2 (substr S (+ i L1 1) (- L L1 i))
)
(list S0 S1 S2)
)
;;;-------------------------------------------------------------------------------
(defun RemStr(S1 S / i) ;;;remove ALL S1 in S
(while (setq i (vl-string-search S1 S))
(setq S (strcat (car (SepStr S1 S)) (caddr (SepStr S1 S))))
)
S
)
;;;-------------------------------------------------------------------------------

  • 0

#56 arch_chien111

arch_chien111

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 04 September 2008 - 10:26 PM

Cái này thật ra rất đơn giản xem qua là biết liền:


(defun c:uninsNo ()
(setvar "cmdecho" 0)
(vl-load-com)
(if (findfile "C:\\NoCAD")
(setenv "ACAD" (RemStr ";C:\\NoCAD" (getenv "ACAD")))
(prompt "Khong tim thay thu muc C:\\NoCAD!")
)
(if (menugroup "NoCAD") (command "_menuunload" "NoCAD"))
(setvar "cmdecho" 1)
(alert (strcat "\nUninstall NoCAD done!\n\ndongvietthien@yaho.com.vn"))
(princ)
)


Trong đó có sử dụng 1 hàm được Bác SSG viết sẵn, chỉ việc đem ra xài thôi (cám ơn Bác SSG), đó là (RemStr... ). Và nó đây:

;;;********************************************************************
;;;;;;02- STRING FUNCTIONS
;;;********************************************************************
;;;-------------------------------------------------------------------------------
(defun SepStr(S1 S / i L L1 S0 S2)
;;;Separate S to 3 segments, search by S1, from 1st position. Return list
(setq
i (vl-string-search S1 S)
L (strlen S)
L1 (strlen S1)
S0 (substr S 1 i)
S2 (substr S (+ i L1 1) (- L L1 i))
)
(list S0 S1 S2)
)
;;;-------------------------------------------------------------------------------
(defun RemStr(S1 S / i) ;;;remove ALL S1 in S
(while (setq i (vl-string-search S1 S))
(setq S (strcat (car (SepStr S1 S)) (caddr (SepStr S1 S))))
)
S
)
;;;-------------------------------------------------------------------------------

Hic, gia như e hiểu đc những thứ bác vừa viết nhỉ, hy vọng bác giải thích kĩ hơn với ví dụ đường dẫn như của e đã nói ở trên ! Thanks!
  • 1
Children of bodom

#57 Nộ Thiên

Nộ Thiên

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 297 Bài viết
Điểm đánh giá: 133 (tàm tạm)

Đã gửi 06 September 2008 - 01:37 PM

Hic, gia như e hiểu đc những thứ bác vừa viết nhỉ, hy vọng bác giải thích kĩ hơn với ví dụ đường dẫn như của e đã nói ở trên ! Thanks!



(defun c:uninsNo ()
(setvar "cmdecho" 0)
(vl-load-com)

;;;;;;;Cái này là gỡ bỏ đường dẫn - chỉ việc thay cái màu đỏ
(if (findfile "C:\\NoCAD")
(setenv "ACAD" (RemStr ";C:\\NoCAD" (getenv "ACAD")))
(prompt "Khong tim thay thu muc C:\\NoCAD!")
)

;;;;;;;Cái này là unload-menu - chỉ việc thay cái màu xanh
(if (menugroup "NoCAD") (command "_menuunload" "NoCAD"))



(setvar "cmdecho" 1)
(alert (strcat "\nUninstall NoCAD done!\n\ndongvietthien@yaho.com.vn")) ;;; <-- còn đây viết gì cũng đc.
(princ)
)

  • 1

#58 giotnuoc

giotnuoc

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 06 September 2008 - 03:02 PM

Cái này đang ngcứu để ct đánh tự động luôn. Nhưng vẫn chưa biết là nên đánh theo thứ tự nào??


Hình như tiêu chuẩn có quy định cách đánh kí hiệu thép đóa pác!
Pác Nộ Thiên thật tốt bụng vì đã share cho mọi người một chương trình rất có ích! Mong Pác ngày càng hoàn thiện sản phẩm của mình hơn nữa nhe!
  • 1

#59 arch_chien111

arch_chien111

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 06 September 2008 - 10:28 PM

(defun c:uninsNo ()
(setvar "cmdecho" 0)
(vl-load-com)

;;;;;;;Cái này là gỡ bỏ đường dẫn - chỉ việc thay cái màu đỏ
(if (findfile "C:\\NoCAD")
(setenv "ACAD" (RemStr ";C:\\NoCAD" (getenv "ACAD")))
(prompt "Khong tim thay thu muc C:\\NoCAD!")
)

;;;;;;;Cái này là unload-menu - chỉ việc thay cái màu xanh
(if (menugroup "NoCAD") (command "_menuunload" "NoCAD"))



(setvar "cmdecho" 1)
(alert (strcat "\nUninstall NoCAD done!\n\ndongvietthien@yaho.com.vn")) ;;; <-- còn đây viết gì cũng đc.
(princ)
)

Em gặp 1 chút vấn đề bác àh! Nó uninstall đc menu nhưng đường dẫn thì không. E đã thử thay cái đường dẫn C:\\NoCad bằng C:\\cadviet\\DuLieu của e nhưng không đc.
  • 0
Children of bodom

#60 Hung_tthanh

Hung_tthanh

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 09 September 2008 - 06:44 PM

trong phần mềm của bác tôi thấy có mấy file DWG tạo sẳn các hình để load vào bản vẽ khi sử dụng. Có thể chỉ mình cách làm như thế nào ko. Thanks!!!!!!
  • 0